#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <stdio.h>
#include <QDebug>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
#if 0
    ui->lineEdit_balance->setText("100");
    ui->lineEdit_risk_p->setText("2");
    ui->lineEdit_sl->setText("20");
#endif
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_calculate_clicked()
{
    QString Sbalance = ui->lineEdit_balance->text();
    QString Srisk_p = ui->lineEdit_risk_p->text();
    QString Sstop_loss = ui->lineEdit_sl->text();

    float balance = Sbalance.toInt();
    float risk_p = Srisk_p.toInt();
    float sl = Sstop_loss.toInt();

    int trades_left, risk;
    float no_of_lots;

    QString risk_str, no_lots_str, no_trade_left_str;

    //qDebug() << Sbalance << Srisk_p << Sstop_loss;

    risk = balance*risk_p/100;
    //qDebug() <<"risk" << risk;
    risk_str = QString::number(risk);
    ui->lineEdit_risk->setText(risk_str);

    no_of_lots = (risk/sl)/10;
    //qDebug() << "sl" << sl;
    //qDebug() << "no of lots = " << no_of_lots;
    no_lots_str = QString::number(no_of_lots, 'f', 2);
    ui->lineEdit_max_possible_lots->setText(no_lots_str);

    //qDebug() << no_of_lots << risk/sl;

    trades_left = (balance/risk) - 1;
    no_trade_left_str = QString::number(trades_left);
    ui->lineEdit_no_of_chance_left->setText(no_trade_left_str);

}
